DESCRIPTION = "sysmoBTS Layer1 API header files"
SECTION = "kernel"
LICENSE = "CLOSED"

SRC_URI = "git://git.sysmocom.de/sysmo-bts/layer1-api.git;protocol=git;branch=master"
SRCREV = "73a3a2f9cfbf597d8c6ed92c5fc2eb6f142e30d8"
SRCREV_sysmobts-v2 = "73a3a2f9cfbf597d8c6ed92c5fc2eb6f142e30d8"
SRCREV_sysmobts-v1 = "4dde9443e2aa11868e46a67529cb5ac45462699c"
PV = "${SRCREV}+git${SRCPV}"
PR = "r4"
S = "${WORKDIR}/git"

# The API is only a header, nothing to compile
RDEPENDS_${PN}-dev = ""


do_compile() {
	:
}

do_install() {
	install -d ${D}${includedir}/sysmocom/femtobts
	install -d ${D}${libdir}/pkgconfig

	install -m 0755 ${S}/include/* ${D}${includedir}/sysmocom/femtobts/
	echo "Name: Sysmocom sysmoBTS Layer1 API
Description: Sysmocom sysmoBTS Layer1 API
Versions: 2.0
Libs:
Cflags: -I${includedir}/sysmocom/femtobts" > ${D}${libdir}/pkgconfig/sysmocom-btsapi.pc
}
